My Project: dynamics.mod/NewtonDynamics/source/core/dgTypes.cpp File Reference

My Project

Macros | Functions
dgTypes.cpp File Reference
`#include "dgStdafx.h"`
`#include "dgTypes.h"`
`#include "dgDebug.h"`
`#include "dgVector.h"`
`#include "dgMemory.h"`
`#include "dgStack.h"`

## Macros

#define | SERIALIZE_END 0x646e6520

## Functions

dgUnsigned64 | dgGetTimeInMicrosenconds ()
void | GetMinMax (dgVector &minOut, dgVector &maxOut, const dgFloat32 *const vertexArray, dgInt32 vCount, dgInt32 strideInBytes)
void | GetMinMax (dgBigVector &minOut, dgBigVector &maxOut, const dgFloat64 *const vertexArray, dgInt32 vCount, dgInt32 strideInBytes)
dgInt32 | dgVertexListToIndexList (dgFloat64 *const vertList, dgInt32 strideInBytes, dgInt32 compareCount, dgInt32 vertexCount, dgInt32 *const indexListOut, dgFloat64 tolerance)
dgInt32 | dgVertexListToIndexList (dgFloat32 *const vertList, dgInt32 strideInBytes, dgInt32 floatSizeInBytes, dgInt32 unsignedSizeInBytes, dgInt32 vertexCount, dgInt32 *const indexList, dgFloat32 tolerance)
void | dgSerializeMarker (dgSerialize serializeCallback, void *const userData)
void | dgDeserializeMarker (dgDeserialize serializeCallback, void *const userData)

## Macro Definition Documentation

## § SERIALIZE_END

#define SERIALIZE_END 0x646e6520

## Function Documentation

## § dgDeserializeMarker()

void dgDeserializeMarker | ( | dgDeserialize | serializeCallback,
|  | void *const | userData
| ) |  |

## § dgGetTimeInMicrosenconds()

dgUnsigned64 dgGetTimeInMicrosenconds | ( |  | ) |

## § dgSerializeMarker()

void dgSerializeMarker | ( | dgSerialize | serializeCallback,
|  | void *const | userData
| ) |  |

## § dgVertexListToIndexList() [1/2]

dgInt32 dgVertexListToIndexList | ( | dgFloat64 *const | vertList,
|  | dgInt32 | strideInBytes,
|  | dgInt32 | compareCount,
|  | dgInt32 | vertexCount,
|  | dgInt32 *const | indexListOut,
|  | dgFloat64 | tolerance
| ) |  |

## § dgVertexListToIndexList() [2/2]

dgInt32 dgVertexListToIndexList | ( | dgFloat32 *const | vertList,
|  | dgInt32 | strideInBytes,
|  | dgInt32 | floatSizeInBytes,
|  | dgInt32 | unsignedSizeInBytes,
|  | dgInt32 | vertexCount,
|  | dgInt32 *const | indexList,
|  | dgFloat32 | tolerance
| ) |  |

## § GetMinMax() [1/2]

void GetMinMax | ( | dgVector & | minOut,
|  | dgVector & | maxOut,
|  | const dgFloat32 *const | vertexArray,
|  | dgInt32 | vCount,
|  | dgInt32 | strideInBytes
| ) |  |

## § GetMinMax() [2/2]

void GetMinMax | ( | dgBigVector & | minOut,
|  | dgBigVector & | maxOut,
|  | const dgFloat64 *const | vertexArray,
|  | dgInt32 | vCount,
|  | dgInt32 | strideInBytes
| ) |  |